Bug 858136 - RFE: Project-level default Copy Trans options
RFE: Project-level default Copy Trans options
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic, Usability (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks: 860902
  Show dependency treegraph
 
Reported: 2012-09-18 02:05 EDT by Carlos Munoz
Modified: 2012-11-07 01:18 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120927-1428)
Doc Type: Enhancement
Doc Text:
Feature: Define default copy trans options at the project level. Reason: Some projects need to enable different rules for copy trans depending on their nature. By defining project-level copy trans options, each project can define how copy trans is executed. These options can still be overridden when running a manual copy trans. Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-09-18 02:05:36 EDT
Add the ability to define default Copy Trans settings on a project. These default settings would be used when copy trans is fired as a result of a client "push". They would also be the default settings shown when running a copy trans for one of the project's iterations.
Comment 1 Carlos Munoz 2012-09-26 23:20:19 EDT
The project page now has an option to specify the "default" copy trans options. Once these are set, when doing a manual copy trans, the screen will show these options by default. If they are not set for a project, they will default to the most conservative options (reject any field that doesn't match).

These default options will also take effect when pushing documents with the copyTrans options in the maven client.

As part of this, the client was refactored to invoke a copy trans after pushing a document and waiting until it's done, while showing the user some feedback on the copy trans process. This in contrast with the previous implementation which treated a push/copy trans in a single server request, possible causing timeouts.

The priorities for selecting a match have also changed. Previously, copy trans was selecting the most recent translation as the best copy match. The new implementation selects the best match based on the number of fields that match (the more fields matching, the better the match and a context match is better than a project match, which is better than a document match). As a last resort, the more recent translation is still taken.

See:
https://github.com/zanata/zanata/commit/25d7f3585b50f1f65d8ce16c8ee4feacf7de46b4
https://github.com/zanata/zanata/commit/7a1dcb99619c97db9138dae77952375153b86ed0
https://github.com/zanata/zanata/commit/46bbcc24051bd8852a6078360da9f2363be6170f
https://github.com/zanata/zanata/commit/919312e3329a18786e19a9a108fa7b187f7c0ffc
https://github.com/zanata/zanata/commit/2388606ceea10dad5cd276bbb69f020a938a071e
https://github.com/zanata/zanata/commit/c8bf8446f21c5e11369c2e7c606c1c15fe881302

https://github.com/zanata/zanata-api/commit/3a0bc20c3605863f92ca0fd2ee81aaf9941e265c
https://github.com/zanata/zanata-api/commit/37683537a0e96463837e36b54f73f2357bca6eef
Comment 2 Ding-Yi Chen 2012-09-27 01:40:33 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120927-1428)
Comment 3 Sean Flanigan 2012-11-07 01:18:12 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.